      *****************************************************************
      *               NUMTBSB1.cpy - a COBOL Copy File                *
      *   Copy File for testing with BINARY-SIGNED numeric values.    *
      *****************************************************************
      *         Copyright (C) 1987-2019 SimoTime Technologies         *
      *                     All Rights Reserved                       *
      *****************************************************************
      *              Provided by SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
       01  BS-RECORD.
           05  BS-DESCRIPTION.
               10  BS-IDENTIFIER        PIC X(8).
               10  FILLER               PIC X.
               10  BS-SIGN-KEY          PIC X(8).
               10  FILLER               PIC X.
               10  BS-SIGN-POS          PIC X(8).
               10  FILLER               PIC X.
               10  BS-SIGN-EXT          PIC X(8).
               10  FILLER               PIC X.
      *
      * ------------------------------------------------------------- *
      *    A group of SIGNED Numbers using a COMPUTATIONAL format.
      *    The physical structure is Binary.
      *    An abbreviated form of the USAGE IS COMPUTATIONAL clause
      *    is simply coded as COMP.
      *
           05  BS-72                    PIC S9(7)V99   COMP.
           05  FILLER                   PIC X.
           05  BS-23                    PIC S9(2)V999  COMP.
           05  FILLER                   PIC X.
           05  BS-52                    PIC S9(5)V99   COMP.
           05  FILLER                   PIC X.
           05  BS-60                    PIC S9(6)      COMP.
           05  FILLER                   PIC X.
           05  BS-20                    PIC S99        COMP.
           05  FILLER                   PIC X.
      *
           05  FILLER                   PIC X(21).
      *
      ***  NUMTBSB1 - End-of-Copy File - - - - - - - - - - - NUMTBSB1 *
      *****************************************************************
      *
