      *****************************************************************
      *               NUMTPSB1.cpy - a COBOL Copy File                *
      *   Copy File for testing with PACKED-SIGNED numeric values.    *
      *         Copyright (C) 1987-2019 SimoTime Technologies         *
      *                     All Rights Reserved                       *
      *              Provided by SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
       01  PS-RECORD.
           05  PS-DESCRIPTION.
               10  PS-IDENTIFIER        PIC X(8).
               10  FILLER               PIC X.
               10  PS-SIGN-KEY          PIC X(8).
               10  FILLER               PIC X.
               10  PS-SIGN-POS          PIC X(8).
               10  FILLER               PIC X.
               10  PS-SIGN-EXT          PIC X(8).
               10  FILLER               PIC X.
      *
      * ------------------------------------------------------------- *
      *    A group of SIGNED Numbers using a COMPUTATIONAL-3 format.
      *    The physical structure is Packed-Decimal.
      *    An abbreviated form of the USAGE IS COMPUTATIONAL-3 clause
      *    is simply coded as COMP-3.
      *
           05  PS-72                    PIC S9(7)V99   COMP-3.
           05  FILLER                   PIC X.
           05  PS-23                    PIC S9(2)V999  COMP-3.
           05  FILLER                   PIC X.
           05  PS-52                    PIC S9(5)V99   COMP-3.
           05  FILLER                   PIC X.
           05  PS-60                    PIC S9(6)      COMP-3.
           05  FILLER                   PIC X.
           05  PS-20                    PIC S99        COMP-3.
           05  FILLER                   PIC X.
      *
           05  FILLER                   PIC X(21).
      *
      ***  NUMTPSB1 - End-of-Copy File - - - - - - - - - - - NUMTPSB1 *
      *****************************************************************
      *
