      *****************************************************************
      *               NUMTPUB1.cpy - a COBOL Copy File                *
      *   Copy File for testing with PACKED-UNSIGNED numeric values.  *
      *         Copyright (C) 1987-2019 SimoTime Technologies         *
      *                     All Rights Reserved                       *
      *              Provided by SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
       01  PU-RECORD.
           05  PU-DESCRIPTION.
               10  PU-IDENTIFIER        PIC X(8).
               10  FILLER               PIC X.
               10  PU-SIGN-KEY          PIC X(8).
               10  FILLER               PIC X.
               10  PU-SIGN-POS          PIC X(8).
               10  FILLER               PIC X.
               10  PU-SIGN-EXT          PIC X(8).
               10  FILLER               PIC X.
      *
      * ------------------------------------------------------------- *
      *    A group of UNSIGNED Numbers using a COMPUTATIONAL-3 format.
      *    The physical structure is Packed-Decimal.
      *    An abbreviated form of the USAGE IS COMPUTATIONAL-3 clause
      *    is simply coded as COMP-3.
      *
           05  PU-72                    PIC 9(7)V99    COMP-3.
           05  FILLER                   PIC X.
           05  PU-23                    PIC 9(2)V999   COMP-3.
           05  FILLER                   PIC X.
           05  PU-52                    PIC 9(5)V99    COMP-3.
           05  FILLER                   PIC X.
           05  PU-60                    PIC 9(6)       COMP-3.
           05  FILLER                   PIC X.
           05  PU-20                    PIC 99         COMP-3.
           05  FILLER                   PIC X.
      *
           05  FILLER                   PIC X(21).
      *
      ***  NUMTPUB1 - End-of-Copy File - - - - - - - - - - - NUMTPUB1 *
      *****************************************************************
      *
