      *****************************************************************
      *               NUMTZSB1.cpy - a COBOL Copy File                *
      *   Copy File for testing with ZONED-SIGNED numeric values.     *
      *****************************************************************
      *         Copyright (C) 1987-2019 SimoTime Technologies         *
      *                     All Rights Reserved                       *
      *****************************************************************
      *              Provided by SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
       01  ZS-RECORD.
           05  ZS-DESCRIPTION.
               10  ZS-IDENTIFIER        PIC X(8).
               10  FILLER               PIC X.
               10  ZS-SIGN-KEY          PIC X(8).
               10  FILLER               PIC X.
               10  ZS-SIGN-POS          PIC X(8).
               10  FILLER               PIC X.
               10  ZS-SIGN-EXT          PIC X(8).
               10  FILLER               PIC X.
      *
      * ------------------------------------------------------------- *
      *    A group of SIGNED Numbers using a DISPLAY format.
      *    The physical structure is Zoned-Decimal.
      *    Since the USAGE IS DISPLAY clause is the default it is
      *    typically not hard-coded.
      *
      *    Note: Even though the COBOL systax implies "DISPLAY" the
      *    rightmost position of a signed value may be displayed as
      *    a non-numeric character.
      *    Also, this numeric format is sensitive to EBCDIC and ASCII
      *    encoding schemas.
      *
           05  ZS-72                    PIC S9(7)V99.
           05  FILLER                   PIC X.
           05  ZS-23                    PIC S9(2)V999.
           05  FILLER                   PIC X.
           05  ZS-52                    PIC S9(5)V99.
           05  FILLER                   PIC X.
           05  ZS-60                    PIC S9(6).
           05  FILLER                   PIC X.
           05  ZS-20                    PIC S99.
           05  FILLER                   PIC X.
      *
           05  FILLER                   PIC X(10).
      *
      ***  NUMTZSB1 - End-of-Copy File - - - - - - - - - - - NUMTZSB1 *
      *****************************************************************
      *
